Subject: [bitcoin-dev] The increase of max block size should be determined by block height instead of block time

From: Chun Wang <[email-masked]>
Date: Sat, 19 Dec 2015 03:17:03 +0800

In many BIPs we have seen, include the latest BIP202, it is the block
time that determine the max block size. From from pool's point of
view, it cannot issue a job with a fixed ntime due to the existence of
ntime roll. It is hard to issue a job with the max block size unknown.
For developers, it is also easier to implement if max block size is a
function of block height instead of time. Block height is also much
more simple and elegant than time.